# Python Connector for Zoho CRM #

Python Connector for Zoho CRM is a connectivity solution for accessing Zoho
CRM from Python applications to read and update data. It fully implements
the Python DB API 2.0 specification. The connector is distributed as a wheel
package for Windows and Windows Server.
 
Standard SQL syntax
 
The connector fully supports the ANSI SQL standard and lets you execute
SQL statements against your Zoho CRM data just like you would normally
work with relational databases. Simple queries are directly converted
to Zoho CRM API calls and executed on the Zoho CRM side.

## Using the connector ##

To retrieve data from a database:
 
Import the module.
 
```
import devart.zohocrm
```
 
Connect to a database using the `connect()` module method and obtain a `connection` object:
 
If you have a refresh token:
```
my_connection = devart.zohocrm.connect(
    Domain="your_zoho_domain",
    RefreshToken="your_refresh_token"
)
```
If you don't have a refresh token:
```
dict = zohocrm.signin(Domain="your_zoho_domain")
my_connection = devart.zohocrm.connect(
    Domain="your_zoho_domain",
    RefreshToken=dict["Refresh Token"]
)
```
 
Create a `cursor` object using the `cursor()` connection method.
 
```
my_cursor = my_connection.cursor()
```
 
Execute the SQL statement using the `execute()` cursor method.
 
```
my_cursor.execute("SELECT * FROM employees")
```
 
Retrieve the result set using one of the `fetch*()` cursor methods.
 
```
for row in my_cursor.fetchall(): 
    print(row)
```

## What's new ##

Python Connector for Zoho CRM 1.0
 
* Initial release of Python Connector for Zoho CRM
* Added support for Windows 32-bit and 64-bit
* Added support for Windows Server 32-bit and 64-bit
